# Aktualisiierung von SSL-Zertifikaten für Mailcow

Dieses Skript aktualisiert SSL-Zertifikate für einen Mailcow-Server.

## Installation

1. Kopieren Sie das Skript in ein Verzeichnis Ihrer Wahl.
2. Passen Sie die folgenden Variablen an:
   - `MAILCOW_SERVER`: Server und Benutzername (z.B. root@localhost)
   - `TARGET_DIR`: Zielpfad auf dem Server (z.B. /mailcow-dockerized/data/assets/ssl)
   - `SOURCE_CERT`: Pfad zum Original-Zertifikat (z.B. /etc/haproxy/ssl/example_domain.pem)
   - `SSH_PASSWORD`: SSH-Passwort des Servers

## Nutzung

Führen Sie das Skript aus:


Das Skript wird folgende Schritte durchführen:
- Extrahieren der privaten Schlüssel und Zertifikate
- Generierung einer Diffie-Hellman-Datei
- Übertragung der Zertifikate auf den Server
- Neustart von Mailcow

## Wichtige Hinweise

- Getestet in Alpine in kombination mit HA-Proxy
- Stellen Sie sicher, dass OpenSSL und OpenSSH installiert sind so wie sshpass.
- Testen Sie das Skript zuerst in einer Entwicklungsumgebung.
- Achten Sie auf die Sicherheit bei der Speicherung von Passwörtern.

## Lizenz

Dieses Skript wird unter der MIT-Lizenz veröffentlicht.
